/*
 * @Author: 634665781 634665781@qq.com
 * @Date: 2023-12-06 17:55:24
 * @LastEditors: 634665781 634665781@qq.com
 * @LastEditTime: 2023-12-11 15:54:35
 * @FilePath: \xform\src\core\widgets\settings\RadioGroup\index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import React, { useEffect, useState } from 'react'
import { Radio } from 'antd'
import styles from './index.less'
import { isJson, isObject } from '../../../../../utils';

const getJson = (json, value) => {
  json.column = value
  let parent = json?.properties
  if (isObject(parent)) {
    Object.keys(parent).forEach(keys => {
      let child = parent[keys]?.properties
      if (isObject(child)) {
        Object.keys(child).forEach(k => {
          if (child[k]?.width !== '100%') {
            delete child[k].width
          }
        })
      }
    })
  }
  return json
}

const RadioGroup = (props) => {

  const { value, schema, onChange } = props
  const [values, setvalues] = useState(value)

  const onSelect = (e) => {
    sessionStorage.setItem('RadioButtonValue', e.target.value)
    setvalues(value)
    onChange(value)
    let json = getJson(window.designerRef?.current?.getValue(), e.target.value)
    window.designerRef?.current?.setValue(json)
  }

  return (
    <div className={styles.radioGroup}>
      <Radio.Group
        onChange={onSelect}
        defaultValue={value}
        buttonStyle="solid"
      >
        {
          schema?.enum?.map((v, i) => {
            return (
              <Radio.Button key={v} value={v}>{schema.enumNames[i]}</Radio.Button>
            )
          })
        }
      </Radio.Group>
    </div>
  )

}

export default RadioGroup